Download it now!
Bug 32180 - FILEOPEN, Writer crashes when trying to open a .docx file
Summary: FILEOPEN, Writer crashes when trying to open a .docx file
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 05:15 UTC by dgira
Modified: 2011-12-22 05:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dgira 2010-12-07 05:15:01 UTC
When trying to open a certain .docx, Writer opens and then crashes. I have to shut down the process. When trying again, Writer offers to restore the document, but crashes again on restore - or on file open, when I cancel the restore. However, the file opens just fine in OpenOffice. Crash can be reproduced with this file - other .docx work just fine.

Crashes:
LibreOffice 3.3.0 
OOO330m9 (Build:1)
libreoffice-build 3.2.99.2

Works:
OpenOffice.org 3.2.1
OOO320m18 (Build 9502)

(not sure how to add meaningful details, the file is a confidential offering and I cannot delete parts and save again as .docx in OO)
Comment 1 Cédric Bosdonnat 2010-12-07 07:04:26 UTC
Could you please provide at least a document to help reproduce the crash?
Comment 2 R.D.Nielsen 2011-01-19 20:59:20 UTC
Also occurs on Linux,

LibreOffice 3.3.0 
OOO330m19 (Build:5)
tag libreoffice-3.3.0.3, Ubuntu package 1:3.3.0~rc3-2maverick1

with a large .docx file with complex formatting, table of contents, and many many comments.

System: Linux 2.6.35-24-generic #42-Ubuntu SMP Thu Dec 2 01:41:57 UTC 2010 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10900000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Ambiance
Icon Theme: ubuntu-mono-dark
GTK+ Modules: gnomesegvhandler

Memory status: size: 263364608 vsize: 263364608 resident: 118415360 share: 61591552 rss: 118415360 rss_rlim: 18446744073709551615
CPU usage: start_time: 1295498366 rtime: 2531 utime: 2472 stime: 59 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100



----------- .xsession-errors ---------------------
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:1603): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
Could not attach to process.  If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try
again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf
ptrace: Operation not permitted.
/home/dreas/3599: No such file or directory.
No stack.
--------------------------------------------------
Comment 3 Katarina Behrens 2011-03-23 08:43:19 UTC
No sample file provided for more than 3 months. Closing as invalid then. Please reopen if you're able to provide requested information (see comment #1)
Comment 4 Björn Michaelsen 2011-12-22 05:36:48 UTC
Remove infoprovider from closed and resolved bugs.
Comment 5 Björn Michaelsen 2011-12-22 05:50:53 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.